##### 公共 配置 #######

#内置Tomcat容器配置
server:
  port: 25001
  servlet:
    #应用路径，配置应用路径，可方便进行反向代理
    context-path:
#    context-path: /baseadmin
#基础配置
spring:
  profiles:
    active: ${BASE_ADMIN:dev} #选择配置分支，先读取系统环境变量，如果没有则默认值为 dev
  application:
    name: base-admin

  #修改thymeleaf访问根路径
  thymeleaf:
    prefix: classpath:/view/

  #mvc接收参数时对日期进行格式化
  mvc:
    date-format: yyyy-MM-dd HH:mm:ss
    servlet:
      load-on-startup: 100

  #jackson对响应回去的日期参数进行格式化
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

  #打印SQL
  jpa:
    show-sql: true

# token 参数
jwt:
  secret: secret        # 密钥
  expiration: 7200000   # 过期时间
  token: Authorization  # 请求头

#是否需要输入验证码
captcha:
  enable: false

---
##### dev 配置 #######
spring:
  profiles: dev

  #数据库配置
  datasource:
    url: jdbc:mysql://sh-cdb-5of7rcbk.sql.tencentcdb.com:60412/DairyBeatBoss?serverTimezone=GMT%2B8&characterEncoding=utf-8
    username: root
    password: Qwerty9527
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      max-lifetime: 120000
      connection-timeout: 30000
      connection-test-query: SELECT 1
#是否需要输入验证码
captcha:
  enable: false

---
##### prod 配置 #######
spring:
  profiles: prod

  #数据库配置
  datasource:
    url: jdbc:mysql://localhost:3306/test?serverTimezone=GMT%2B8&characterEncoding=utf-8
    username: root
    password: 123456
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      max-lifetime: 120000
      connection-timeout: 30000
      connection-test-query: SELECT 1
#是否需要输入验证码
captcha:
  enable: true